Skip to main content

Get Payments List

Returns a list of your order payments that match the specified reference. Results are returned in reverse chronological order, with the most recent payments shown first.

GET/payments

Authentication​

Authorization: Bearer <YOUR_API_key>

Request Parameters​

FieldTypeDescriptionRequired
limitintegerThe maximum number of records to return. Default is 10.❌
offsetintegerThe number of records to skip before starting to return results. Used for pagination. Default is 0.❌

Response Fields​

{
  "limit": 0,
  "offset": 0,
  "data": [
    {
      "id": 0,
      "Amount": 0,
      "currency": "string",
      "customer": "string",
      "product": "string",
      "hook_url": "string",
      "status": "PENDING"
    },
    {
      "id": 1,
      "Amount": 10,
      "currency": "string",
      "customer": "string",
      "product": "string",
      "hook_url": "string",
      "status": "SUCCESS"
    },
    {
      "id": 2,
      "Amount": 20,
      "currency": "string",
      "customer": "string",
      "product": "string",
      "hook_url": "string",
      "status": "EXPIRED"
    }
  ]
}

Request Samples​

    curl -X GET https://luxfin.org/payments?limit=100&offset=10 \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \